#
# spec file for package perl-IO-Multiplex
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-IO-Multiplex
Version:        1.16
Release:        1.33
#Upstream: CHECK(GPL-1.0+ or Artistic-1.0)
%define cpan_name IO-Multiplex
Summary:        Manage IO on many file handles
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/IO-Multiplex/
Source0:        http://www.cpan.org/authors/id/B/BB/BBB/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
It is object oriented in design, and will notify you of significant events
by calling methods on an object that you supply. If you are not using
objects, you can simply supply '__PACKAGE__' instead of an object
reference.

You may have one callback object registered for each file handle, or one
global one. Possibly both -- the per-file handle callback object will be
used instead of the global one.

Each file handle may also have a timer associated with it. A callback
function is called when the timer expires.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README TODO

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.16
  see /usr/share/doc/packages/perl-IO-Multiplex/Changes
  1.16 Thu Apr  9 17:00:00 CET 2015
  - Fix descriptor memory leak:
  Make $mux->close actually untie *$fh
  1.15 Tue Mar 11 14:00:00 CET 2015
  - Move untie patch to the right place.
  1.14 Mon Mar 30 11:00:00 CET 2015
  - Fix 110_ntest to avoid reading from muxed handle.
  - Apply patch to prevent untie warnings.
  rt.cpan.org#67846 [dmcbridepath@cpan.org Darin McBride]
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Mon Apr 18 2011 vcizek@novell.com
- update to 1.13
  - fix handling of outbuf which contains '0'.
  rt.cpan.org#67458 [Gordon Russell]
- license correction (GPL+ or Artistic)
* Mon Feb 28 2011 vcizek@novell.com
- update to 1.12
  - fix MSWin32 complaints
  rt.cpan.org#66096 [Mark Dootson]
* Tue Feb 22 2011 vcizek@novell.com
- update to 1.11
  - Avoid warning while adding pipe
    rt.cpan.org#60068 [Khedin] and #16259
  - Add EWOULDBLOCK and non-blocking mode for windows,
  rt.cpan.org#23982 [junk@penilecolada.com]
  - Typo "closeing", rt.cpan.org#21085 [D Steinbrunner]
  - avoid shutdown after close,
  rt.cpan.org#5715 [Lars Jensen] and #5885
  - use length of outbuf, not exists to see if it is
  empty. [Ersun Warncke]
  - turn "use warnings" on
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Mon Oct  6 2008 anicka@suse.cz
- update to 1.10
  * Update Copyright and License.
  * Buttwag around minor Windows deficiencies.
* Wed Mar  7 2007 anicka@suse.cz
- update to 1.09
  * Detect readability for special IO::Socket::SSL
    handles more accurately.
  * Avoid "freed value in iteration" crashing.
* Wed Oct  4 2006 anicka@suse.cz
- package created [#207466]
